%define	version	0.1
%define release	%mkrel 7

Summary:	Shared data files and scripts for Logitech mice
Name:		logitech-mouse-common
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Hardware		
Source0:	logitechmouse-sysconfig.bz2
Source1:	logitech-mouse.rules.bz2
Source2:	logitech-mouse-udev.sh.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	lmctl

%description
This package contains scripts that turn on/off some certain feature
of recent Logitech USB mouse automatically when device is plugged
into system.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
bzip2 -dc %{SOURCE0} > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/logitechmouse
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/logitechmouse

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/80-logitech-mouse.rules
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/80-logitech-mouse.rules

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts
bzip2 -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/logitech-mouse.sh
chmod 0755 $RPM_BUILD_ROOT%{_sysconfdir}/udev/scripts/logitech-mouse.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/logitechmouse
%config(noreplace) %{_sysconfdir}/udev/rules.d/*.rules
%{_sysconfdir}/udev/scripts/*.sh



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-7mdv2011.0
+ Revision: 620252
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.1-6mdv2010.0
+ Revision: 439577
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.1-5mdv2009.1
+ Revision: 350237
- 2009.1 rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2009.0
+ Revision: 251369
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.1-2mdv2008.1
+ Revision: 129444
- kill re-definition of %%buildroot on Pixel's request
- import logitech-mouse-common


* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 0.1-2mdk
- add missing path in udev script (#20623)

* Wed May 04 2005 Abel Cheung <deaddog@mandriva.org> 0.1-1mdk
- First Mandriva Linux package, inspired from SuSE logitech_applet pkg
